Search documentation of tftp

# View Source tftp_logger behaviour (tftp v1.2.2.1)

Trivial FTP logger.

A `tftp_logger` callback module is to be implemented as a `tftp_logger` behavior and export the following functions:

# Summary

## Callbacks

error_msg(Format, Args)

Logs an error message. See `logger:error/2` for details.

info_msg(Format, Args)

Logs an info message. See `logger:info/2` for details.

warning_msg(Format, Args)

Logs a warning message. See `logger:warning/2` for details.

# Callbacks

# error_msg(Format, Args)

(optional) (since OTP 18.1)

    -callback error_msg(Format :: io:format(), Args :: [term()]) -> ok.

Logs an error message. See `logger:error/2` for details.

# info_msg(Format, Args)

(optional) (since OTP 18.1)

    -callback info_msg(Format :: io:format(), Args :: [term()]) -> ok.

Logs an info message. See `logger:info/2` for details.

# warning_msg(Format, Args)

(optional) (since OTP 18.1)

    -callback warning_msg(Format :: io:format(), Args :: [term()]) -> ok.

Logs a warning message. See `logger:warning/2` for details.